CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
booster::locale::generic_codecvt< CharType, CodecvtImpl, 2 > Class Template Reference

UTF-16 to/from UTF-8 codecvt facet to use with char16_t or wchar_t on Windows. More...

`#include <booster/booster/locale/generic_codecvt.h>`

Inheritance diagram for booster::locale::generic_codecvt< CharType, CodecvtImpl, 2 >:

## Public Types
typedef CharType | uchar
Public Types inherited from booster::locale::generic_codecvt_base
enum | initial_convertion_state { to_unicode_state, from_unicode_state }

## Public Member Functions
| generic_codecvt (size_t refs=0)
CodecvtImpl const & | implementation () const

## Protected Member Functions
virtual std::codecvt_base::result | do_unshift (std::mbstate_t &s, char *from, char *, char *&next) const
virtual int | do_encoding () const throw ()
virtual int | do_max_length () const throw ()
virtual bool | do_always_noconv () const throw ()
virtual int | do_length (std::mbstate_t &std_state, char const *from, char const *from_end, size_t max) const
virtual std::codecvt_base::result | do_in (std::mbstate_t &std_state, char const *from, char const *from_end, char const *&from_next, uchar *to, uchar *to_end, uchar *&to_next) const
virtual std::codecvt_base::result | do_out (std::mbstate_t &std_state, uchar const *from, uchar const *from_end, uchar const *&from_next, char *to, char *to_end, char *&to_next) const

## Detailed Description

### template<typename CharType, typename CodecvtImpl>
class booster::locale::generic_codecvt< CharType, CodecvtImpl, 2 >

UTF-16 to/from UTF-8 codecvt facet to use with char16_t or wchar_t on Windows.

Note in order to fit the requirements of usability by std::wfstream it uses mbstate_t to handle intermediate states in handling of variable length UTF-16 sequences

Its member functions implement standard virtual functions of basic codecvt

The documentation for this class was generated from the following file:

- booster/locale/generic_codecvt.h